### Method

# Foundry ForgeQuery set_state

since: 1.1

#### Declaration [src]

    void
    foundry_forge_query_set_state (
      FoundryForgeQuery* self,
      const char* state
    )

#### Description [src]

Sets the allowed states for the query.

You may specify multiple states with a comma.

Available since: 1.1

Sets property | `Foundry.ForgeQuery:state`

#### Parameters

`state`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.